Package org.zkoss.zkmax.zul.event

## Class SortEventExt

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.SortEvent
    - - org.zkoss.zkmax.zul.event.SortEventExt

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SortEventExt
      extends SortEvent

  Represents an event that indicates a sorting request to data for `Biglistbox`, and provides more information about the column index.
  Since:
    6.0.1
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SortEventExt​(java.lang.String name, Component target, boolean ascending, int columnIndex)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColumnIndex()` | Returns the column index
    `java.lang.Object` | `getData()` | Returns the data of the event, by default returning the same as `getColumnIndex()`
    `static SortEventExt` | `getSortEventExt​(AuRequest request)` |

    - ### Methods inherited from class org.zkoss.zk.ui.event.SortEvent

      `getSortEvent, isAscending`

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SortEventExt

          public SortEventExt​(java.lang.String name,
                              Component target,
                              boolean ascending,
                              int columnIndex)

  - ### Method Detail

    - #### getSortEventExt

          public static SortEventExt getSortEventExt​(AuRequest request)

    - #### getData

          public java.lang.Object getData()

      Returns the data of the event, by default returning the same as `getColumnIndex()`
      Overrides:
        `getData` in class `Event`

    - #### getColumnIndex

          public int getColumnIndex()

      Returns the column index